[Prev: SORT] | [Resources][TOC] | [Next: SSMARKUP]

# SPAMMODE

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  `M2H_SPAMMODE=`[ `0` | `1` ]

Element

  `<SPAMMODE>`
  `<NOSPAMMODE>`

Command-line Option

  `-spammode`
  `-nospammode`

## Description

SPAMMODE determines if MHonArc will perform actions to deter spam address harvesters. If SPAMMODE is true, it changes the default values of various resources that display email addresses. The following default resource values are affected:

LITEMPLATE

  `$FROMNAME$` is used instead of `$FROM$`.

MSGPGBEGIN

  The `<link rev="made" ...>` is removed.

FOLUPLITXT

  `$FROMNAME$` is used instead of `$FROM$`.

REFSLITXT

  `$FROMNAME$` is used instead of `$FROM$`.

ADDRESSMODIFYCODE

  Is defined as "`s|([\!\%\w\.\-+=/]+@)([\w\-]+\.[\w\.\-]+)|$1.('x' x length($2))|ge`" (this has the effect of preserving the local-part of the address and complete masking out the domain portion).

MAILTOURL

  Is defined as "`mailto:$TOADDRNAME$@DOMAIN.HIDDEN`"

MODIFYBODYADDRESSES

  Is activated.

NOTE: | A user defined setting of an above resource will override any effects that SPAMMODE has on the resource. SPAMMODE is mainly a convenience to set the above resources to default values that hide email addresses. The same effect can be achieved by explicitly modifying each resource.

## Default Setting

Off.

## Resource Variables

N/A

## Examples

None.

## Version

2.4.0

## See Also

ADDRESSMODIFYCODE, FOLUPLITXT, LITEMPLATE, MAILTOURL, MODIFYBODYADDRESSES, MSGPGBEGIN, REFSLITXT

[Prev: SORT] | [Resources][TOC] | [Next: SSMARKUP]